import { Toolbar, ToolbarOptions, ToolbarItemType } from '.';
import { ViewerType } from '../viewer';
export declare class ToolbarManager {
    readonly items: Map<string, ToolbarItemType>;
    private _toolbar?;
    constructor(items?: Map<string, ToolbarItemType>);
    get toolbar(): Toolbar | undefined;
    add(name: string, item: ToolbarItemType): void;
    remove(name: string): void;
    build(viewer: ViewerType, options: ToolbarOptions): Toolbar;
    initialize(): Promise<void>;
}
